/*
 Theme Name:   AutoFix Theme
 Theme URI:    https://autofix.co/
 Description:  AutoFix Design starter theme
 Author:       Kyle Van Deusen
 Author URI:   https://autofix.co/
 Template:     generatepress
 Version:      03.01.09
*/

/* GeneratePress Site CSS */

/* Top Menu */
.menu-bar-items {
	flex-direction: row-reverse;
}

/* Header alignment */
@media(min-width: 669px) {
	.inside-navigation .navigation-branding {
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
    }
	.nav-align-right .inside-navigation {
		justify-content: space-between;
	}
}

/* Search results page header style */
.search-results .page-header .page-title {
	text-transform: uppercase;
	border-bottom: 3px solid #e30000;
	padding-bottom: 3px;
}

/* Logo  */

img.header-image.is-logo-image {
	height: 60px;
	width: 260px;
}

@media (max-width: 768px) {
img.header-image.is-logo-image {
    height: 55px;
		width: 200px;
    }
}

/* Logo  */

/* Sidebar */
.sidebar {
	margin-top: 40px;
	margin-left: 0;
}
@media(min-width: 768px) {
	.sidebar {
		margin-left: 40px;
		margin-top: 0;
	}
}

/* Single post - Sticky Related Posts sidebar */
@media(min-width: 769px) {
	.is-sticky {
			position: sticky;
			top: 112px;
	}
}

/* Search modal */
.gp-modal__container {
	overflow-y: auto;
}
.gp-search-modal .gp-modal__overlay {
    padding-top: 15vh;
}

/* Link Style */

.single-post .inside-article .entry-content a {

background-image: linear-gradient(45deg,#ff3366 35%,#8F42EC,#02121C);
background-position: 0 100%;
background-repeat: repeat-x;
background-size: 100% 2.5px;
font-weight: 700;
padding-bottom: 2px;
color: #252d4a;
	
}

.single-post .inside-article .entry-content a:hover {

color: #f25a54;
background-size: 400% 2px;
-webkit-animation: underline-gradient 4s linear infinite;
animation: underline-gradient 4s linear infinite;
    text-decoration: none;
}

/* Link Style */

/* Mobile full size img */

@media(max-width: 750px) {

.single-post .entry-content img {
margin-left: -20px;
max-width: 100vw;
}
}
/* Mobile full size img */

/* Menu Height */

.main-navigation .main-nav ul li a,.menu-toggle,.main-navigation .menu-bar-item > a{

line-height:60px;
	
}
/* Menu Height */

/* Menu items hover effect */

@media (min-width: 769px) {
    .main-navigation .menu > .menu-item > a::after {

content: "";
position: absolute;
right: 0;
left: 50%;
bottom: 15px;
-webkit-transform: translate3d(-50%,0,0);
transform: translate3d(-50%,0,0);

display: block;
width: 0;
height: 3px;

background-color: var(--accent-2);
transition: 0.3s width ease;
}

.main-navigation .menu > .menu-item > a:hover::after {
        width: 75%;
    }
}

/* Menu items hover effect */

.post-featured-image  {
 aspect-ratio: 16 / 9;
	object-fit: cover;
}

.secondary-post-grid > div:not(:last-child) {
border-bottom: 1px solid var(--accent);
padding-bottom: 30px!important;
}

span.slideout-toggle {
    order: -1;
    margin-left: 30px;
}

body.single.no-sidebar .site.grid-container {
    max-width: 850px;
}

.wp-block-site-logo img {
    height: auto;
    width: 230px; 
}

.entry-subtitle {
margin-top: 1em;
}

.site-content figure.wp-block-image {
    margin-bottom: 1em;
}

/*Hide Menu on Tablet*/

@media (min-width: 769px) and (max-width: 1024px) {
	
div#primary-menu > ul { 
display: none;
}
}
/*Hide Menu on Tablet*/

/* Blockquote Style */
blockquote {
	position: relative;
	border-left: 0px;
border-top: 3px solid #E7E7E8;
border-bottom: 3px solid #E7E7E8;
	margin-inline: -3.375rem;
	padding-inline: 3.375rem;
	padding-block: 3rem;
	margin-block: 3rem;
}

blockquote::after{
	position: absolute;
	content: '';
	background-image: url('/wp-content/uploads/blockquote.svg');
	width: 47px;
	height: 35px;
	right: 2rem;
	bottom: -1.5rem
}

blockquote p{
	font-style: normal;
	font-size: 1.8rem;
	line-height: 1.2;
}

blockquote cite{
	font-style: normal; 
	text-transform: uppercase; 
	font-weight: 700;
	letter-spacing: .1em;
	font-size: 1rem;
	color: hsla(226, 7%, 51%, 1);
}

@media (max-width: 1024px) { 
	blockquote {
		margin-inline: 0;
		padding-inline: 0;
	}
}
/* Blockquote Style */


/*End GeneratePress Site CSS*/